View Issue Details

IDProjectCategoryView StatusLast Update
0002523libextractorbuild systempublic2012-09-25 17:18
ReporterbrataoAssigned ToChristian Grothoff 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSDebianOS VersionWheezy
Product Versioncurrent SVN 
Target Version1.0.0Fixed in Version1.0.0 
Summary0002523: Can't configure : cannot find install-sh, install.sh, or shtool in "." "./.."
DescriptionOn Windows(MinGW) and on Linux after ./bootstrap is not possible to configure the SVN libextractor.

After and ./bootstrap the following message appears :

bratao@debian:~/Desktop/gnunet/libs/Extractor$ ./configure
configure: error: cannot find install-sh, install.sh, or shtool in "." "./.." "./../.."
TagsNo tags attached.

Activities

Christian Grothoff

2012-08-27 11:12

manager   ~0006300

Can you try if SVN 23426 fixes this? (re-run bootstrap)

bratao

2012-08-27 12:19

developer   ~0006301

Do not fix

svn checkout https://gnunet.org/svn/Extractor
.
.
.
Checked out revision 23428.
bratao@debian:~/Desktop/gnunet/libs$ cd Extractor/
bratao@debian:~/Desktop/gnunet/libs/Extractor$ ./bootstrap
.
.
libtoolize: Consider using `AC_CONFIG_MACRO_DIR([libltdl/m4])' in configure.ac.
configure.ac:491: warning: macro `AM_PATH_GTK_2_0' not found in library
configure.ac:176: required file `libltdl/config/config.rpath' not found
.
.
.
libtoolize: Remember to add `LTDL_INIT' to configure.ac.
libtoolize: putting auxiliary files in AC_CONFIG_AUX_DIR, `libltdl/config'.
libtoolize: copying file `libltdl/config/compile'
libtoolize: copying file `libltdl/config/config.guess'
libtoolize: copying file `libltdl/config/config.sub'
libtoolize: copying file `libltdl/config/depcomp'
libtoolize: copying file `libltdl/config/install-sh'
libtoolize: copying file `libltdl/config/missing'
libtoolize: copying file `libltdl/config/ltmain.sh'
.
.
.
.
libtoolize: Consider using `AC_CONFIG_MACRO_DIR([libltdl/m4])' in configure.ac.
bratao@debian:~/Desktop/gnunet/libs/Extractor$ ./configure
configure: error: cannot find install-sh, install.sh, or shtool in "." "./.." "./../.."

Its a vanilla Debian Wheezy, everything from the repository.But exactly the same thing happen with Windows and MinGW.

Christian Grothoff

2012-08-28 20:34

manager   ~0006302

I've hacked on the build system some more today. Did this fix it? (I'm still not sure what the exact cause of your troubles might be...).

bratao

2012-08-28 21:11

developer   ~0006303

Working great now !

Issue History

Date Modified Username Field Change
2012-08-27 08:05 bratao New Issue
2012-08-27 11:12 Christian Grothoff Note Added: 0006300
2012-08-27 11:12 Christian Grothoff Assigned To => Christian Grothoff
2012-08-27 11:12 Christian Grothoff Status new => feedback
2012-08-27 12:19 bratao Note Added: 0006301
2012-08-27 12:19 bratao Status feedback => assigned
2012-08-28 20:34 Christian Grothoff Note Added: 0006302
2012-08-28 20:34 Christian Grothoff Status assigned => feedback
2012-08-28 21:11 bratao Note Added: 0006303
2012-08-28 21:11 bratao Status feedback => assigned
2012-08-28 21:11 bratao Status assigned => resolved
2012-08-28 21:11 bratao Resolution open => fixed
2012-09-09 02:34 Christian Grothoff Product Version => current SVN
2012-09-09 02:34 Christian Grothoff Fixed in Version => 1.0.0
2012-09-09 02:34 Christian Grothoff Target Version => 1.0.0
2012-09-25 17:18 Christian Grothoff Status resolved => closed